import request from '@/utils/request'

// 查询APS工厂信息列表
export function listFactory(query) {
  return request({
    url: '/aps_factory/factory/list',
    method: 'get',
    params: query
  })
}

// 查询APS工厂信息详细
export function getFactory(sequenceId) {
  return request({
    url: '/aps_factory/factory/' + sequenceId,
    method: 'get'
  })
}

// 新增APS工厂信息
export function addFactory(data) {
  return request({
    url: '/aps_factory/factory',
    method: 'post',
    data: data
  })
}

// 修改APS工厂信息
export function updateFactory(data) {
  return request({
    url: '/aps_factory/factory',
    method: 'put',
    data: data
  })
}

// 删除APS工厂信息
export function delFactory(sequenceId) {
  return request({
    url: '/aps_factory/factory/' + sequenceId,
    method: 'delete'
  })
}
